- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.gdiobject.Bitmap Class Reference

The smjg.libs.sdwf.gdiobject.Bitmap class represents a bitmap, either loaded from a resource or created at runtime. More...

Inheritance diagram for smjg.libs.sdwf.gdiobject.Bitmap:

List of all members.

## Public Member Functions
| this (Application app, uint id)
| Constructs a Bitmap object from a bitmap resource.
| this (Application app, string name)
| Constructs a Bitmap object from a bitmap resource.
| this (DC comp, int width, int height)
| Creates a blank bitmap.
| this (DC comp, RectDim dim)
| Creates a blank bitmap.
| this (int width, int height)
| Creates a monochrome bitmap.
| this (RectDim dim)
| Creates a monochrome bitmap.
| this (OBM stockBitmap)
| Creates a Bitmap wrapper around the specified stock bitmap.
| this (HBITMAP h, bool autoDelete=false)
| Constructs a Bitmap wrapper around a pre-existing Windows bitmap object.
HANDLE | clipboardDataHandle (CLIPBOARD_FORMAT format, bool clearAutoDelete=true)
Properties
int | width ()
| The width of this bitmap in pixels.
int | height ()
| The height of this bitmap in pixels.
RectDim | dim ()
| The dimensions of this bitmap in pixels.
BITMAP | info ()
| The specification of this bitmap as a Windows `BITMAP` structure.
Bitmap | dup ()
| Creates an exact copy of the bitmap.

## Detailed Description

The smjg.libs.sdwf.gdiobject.Bitmap class represents a bitmap, either loaded from a resource or created at runtime.

## Constructor & Destructor Documentation

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | Application | app,
|  | uint | id |
| ) |  |  |

Constructs a Bitmap object from a bitmap resource.

Parameters:

  | app | application containing the bitmap resource.
  | id | numeric ID of the bitmap resource.

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | Application | app,
|  | string | name |
| ) |  |  |

Constructs a Bitmap object from a bitmap resource.

Parameters:

  | app | application containing the bitmap resource.
  | name | name of the bitmap resource.

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | DC | comp,
|  | int | width,
|  | int | height |
| ) |  |  |

Creates a blank bitmap.

Parameters:

  | comp | DC with which the bitmap is to be compatible.
  | width | width of the bitmap in pixels.
  | height | height of the bitmap in pixels.

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | DC | comp,
|  | RectDim | dim |
| ) |  |  |

Creates a blank bitmap.

Parameters:

  | comp | DC with which the bitmap is to be compatible.
  | dim | dimensions of the bitmap in pixels.

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | int | width,
|  | int | height |
| ) |  |  |

Creates a monochrome bitmap.

Parameters:

  | dim | dimensions of the bitmap in pixels.

Since:
  0.51

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | RectDim | dim | ) |

Creates a monochrome bitmap.

Parameters:

  | width | width of the bitmap in pixels.
  | height | height of the bitmap in pixels.
  | dim | dimensions of the bitmap in pixels.

Since:
  0.51

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | OBM | stockBitmap | ) |

Creates a Bitmap wrapper around the specified stock bitmap.

Parameters:

  | stockBitmap | value identifying the stock bitmap to be obtained.

smjg.libs.sdwf.gdiobject.Bitmap.this | ( | HBITMAP | h,
|  | bool | autoDelete = `false` |
| ) |  |  |

Constructs a Bitmap wrapper around a pre-existing Windows bitmap object.

Parameters:

  | h | handle of the bitmap to wrap.
  | autoDelete | (since 0.5) whether the Windows handle should be automatically deleted when the SDWF object is garbage collected.

## Member Function Documentation

int smjg.libs.sdwf.gdiobject.Bitmap.width | ( |  | ) |

The width of this bitmap in pixels.

int smjg.libs.sdwf.gdiobject.Bitmap.height | ( |  | ) |

The height of this bitmap in pixels.

RectDim smjg.libs.sdwf.gdiobject.Bitmap.dim | ( |  | ) |

The dimensions of this bitmap in pixels.

Since:
  0.4

Status:
  done

BITMAP smjg.libs.sdwf.gdiobject.Bitmap.info | ( |  | ) |

The specification of this bitmap as a Windows `BITMAP` structure.

Bitmap smjg.libs.sdwf.gdiobject.Bitmap.dup | ( |  | ) |

Creates an exact copy of the bitmap.

Returns:
  a copy of the bitmap.

Since:
  0.3

Status:
  done

HANDLE smjg.libs.sdwf.gdiobject.Bitmap.clipboardDataHandle | ( | CLIPBOARD_FORMAT | format,
|  | bool | clearAutoDelete = `true` |
| ) |  |  |

Data handle to this object for placing on the clipboard.

Since:
  0.3

The documentation for this class was generated from the following file:

- gdiobject.d